Comment 16 for bug 642518

I also have no issue with ATI 10.9 + 2.6.32-23 or ATI 10.8 + 2.6.32-23 kernel. Does the patch only works for the fglrx version from Ubuntu repositories? Is there a workaround for the problem due to 2.6.32-24 kernel? Maybe we can generate packages with ATI 10.9 driver instead of installing driver directly than use the same patch for this driver?